Administration - Permissions & Groups
Caller-scoped account search (backs the terminal CMD search)
Caller-scoped account search (backs the terminal CMD search)
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
search
Caller-scoped account search (backs the terminal CMD search)
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/util/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/util/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/util/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/util/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/util/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/util/search");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"query": "<string>",
"accounts": [
{
"user_id": "<string>",
"account_code": "<string>",
"level": "VIEW",
"granted_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional case-insensitive substring to match account codes.
Default 50, capped at 200.
Required range:
1 <= x <= 200Response
200 - application/json
OK
SearchAccountsResponse schema.
Query value for SearchAccountsResponse.
Accounts returned by the search response.
Hide child attributes
Hide child attributes
User identifier.
Account code used by administration and mapping records.
Permission level.
Available options:
VIEW, TRADE, ADMIN User that granted the permission.
Timestamp when the record was created.
Timestamp when the record was last updated.
⌘I
Caller-scoped account search (backs the terminal CMD search)
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/util/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/util/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/util/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/util/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/util/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/util/search");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"query": "<string>",
"accounts": [
{
"user_id": "<string>",
"account_code": "<string>",
"level": "VIEW",
"granted_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
